org.apache.hadoop.yarn.server.metrics

## Class AppAttemptMetricsConstants

- java.lang.Object
- - org.apache.hadoop.yarn.server.metrics.AppAttemptMetricsConstants

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class AppAttemptMetricsConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DIAGNOSTICS_INFO`
    `static String` | `ENTITY_TYPE`
    `static String` | `FINAL_STATUS_INFO`
    `static String` | `FINISHED_EVENT_TYPE`
    `static String` | `HOST_INFO`
    `static String` | `MASTER_CONTAINER_INFO`
    `static String` | `MASTER_NODE_ADDRESS`
    `static String` | `MASTER_NODE_ID`
    `static String` | `ORIGINAL_TRACKING_URL_INFO`
    `static String` | `PARENT_PRIMARY_FILTER`
    `static String` | `REGISTERED_EVENT_TYPE`
    `static String` | `RPC_PORT_INFO`
    `static String` | `STATE_INFO`
    `static String` | `TRACKING_URL_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppAttemptMetricsConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENTITY_TYPE

          public static final String ENTITY_TYPE

      See Also:
        Constant Field Values

    - #### REGISTERED_EVENT_TYPE

          public static final String REGISTERED_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### FINISHED_EVENT_TYPE

          public static final String FINISHED_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### PARENT_PRIMARY_FILTER

          public static final String PARENT_PRIMARY_FILTER

      See Also:
        Constant Field Values

    - #### TRACKING_URL_INFO

          public static final String TRACKING_URL_INFO

      See Also:
        Constant Field Values

    - #### ORIGINAL_TRACKING_URL_INFO

          public static final String ORIGINAL_TRACKING_URL_INFO

      See Also:
        Constant Field Values

    - #### HOST_INFO

          public static final String HOST_INFO

      See Also:
        Constant Field Values

    - #### RPC_PORT_INFO

          public static final String RPC_PORT_INFO

      See Also:
        Constant Field Values

    - #### MASTER_CONTAINER_INFO

          public static final String MASTER_CONTAINER_INFO

      See Also:
        Constant Field Values

    - #### DIAGNOSTICS_INFO

          public static final String DIAGNOSTICS_INFO

      See Also:
        Constant Field Values

    - #### FINAL_STATUS_INFO

          public static final String FINAL_STATUS_INFO

      See Also:
        Constant Field Values

    - #### STATE_INFO

          public static final String STATE_INFO

      See Also:
        Constant Field Values

    - #### MASTER_NODE_ADDRESS

          public static final String MASTER_NODE_ADDRESS

      See Also:
        Constant Field Values

    - #### MASTER_NODE_ID

          public static final String MASTER_NODE_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AppAttemptMetricsConstants

          public AppAttemptMetricsConstants()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.